Index: channels/chan_mobile.c
===================================================================
--- channels/chan_mobile.c	(revision 902)
+++ channels/chan_mobile.c	(working copy)
@@ -797,6 +797,10 @@
 	ast_string_field_set(chn, language, "en");
 	pvt->owner = chn;
 
+	if (pvt->sco_socket != -1) {
+		ast_channel_set_fd(chn, 0, pvt->sco_socket);
+	}
+
 	return chn;
 
 e_return:
@@ -1678,20 +1682,17 @@
 	}
 
 	ast_mutex_lock(&pvt->lock);
-	if (!pvt->owner) {
-		ast_mutex_unlock(&pvt->lock);
-		ast_log(LOG_ERROR, "incoming audio connection for pvt without owner\n");
-		close(sock);
-		return 1;
-	}
-
 	if (pvt->sco_socket != -1) {
 		close(pvt->sco_socket);
 		pvt->sco_socket = -1;
 	}
 
 	pvt->sco_socket = sock;
-	ast_channel_set_fd(pvt->owner, 0, sock);
+	if (pvt->owner) {
+		ast_channel_set_fd(pvt->owner, 0, sock);
+	} else {
+		ast_debug(1, "incoming audio connection for pvt without owner\n");
+	}
 
 	ast_mutex_unlock(&pvt->lock);
 
